/***************************************************************************
                   challenge_graph_view.h  -  description
                             -------------------
    begin                : Mon Jan 7 2002
    copyright            : (C) 2003 by Eric Faccer
    email                : e.faccer@qut.edu.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CHALLENGE_GRAPH_VIEW_H
#define CHALLENGE_GRAPH_VIEW_H

#include <tqevent.h>
#include <tqcanvas.h>
#include <tqlabel.h>
#include "challenge_game.h"


class Challenge_Graph_View : public TQCanvasView
{
    TQ_OBJECT
  

	public:
		Challenge_Graph_View(TQCanvas&, TQWidget* parent=0, const char* name=0, WFlags f=0, TQLabel *qsb=0);
		~Challenge_Graph_View();
		void reset();

	signals:
		void leftClick(int);
		void rightClick(Challenge_Game*, const TQPoint&);

	protected:
		void contentsMousePressEvent(TQMouseEvent*);
		void contentsMouseMoveEvent(TQMouseEvent*);
		void updateStatusBar(TQString msg);

	private:
		TQCanvas &canvas;
		TQLabel *statusbar;
};

#endif
